package com.yingpaipay.business.enumeration;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import org.springframework.context.i18n.LocaleContextHolder;

@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum AiAuditRejectReasonEnum {

    PAGE_ERROR("页码不完整", "The page numbers are incomplete."),
    ;

    private final String zhContent;
    private final String enContent;

    public String getContent() {
        return LocaleContextHolder.getLocale().getLanguage().equals("zh") ? this.zhContent : this.enContent;
    }

}
